# Web3 # Hostnames ## List Web3 Hostnames `client.web3.hostnames.list(HostnameListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/zones/{zone_id}/web3/hostnames` List Web3 Hostnames ### Parameters - `params: HostnameListParams` - `zone_id: string` Specify the identifier of the hostname. ### Returns - `Hostname` - `id?: string` Specify the identifier of the hostname. - `created_on?: string` - `description?: string` Specify an optional description of the hostname. - `dnslink?: string` Specify the DNSLink value used if the target is ipfs. - `modified_on?: string` - `name?: string` Specify the hostname that points to the target gateway via CNAME. - `status?: "active" | "pending" | "deleting" | "error"` Specifies the status of the hostname's activation. - `"active"` - `"pending"` - `"deleting"` - `"error"` - `target?: "ethereum" | "ipfs" | "ipfs_universal_path"` Specify the target gateway of the hostname. - `"ethereum"` - `"ipfs"` - `"ipfs_universal_path"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const hostname of client.web3.hostnames.list({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(hostname.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2014-01-01T05:20:00.12345Z", "description": "This is my IPFS gateway.", "dnslink": "/ipns/onboarding.ipfs.cloudflare.com", "modified_on": "2014-01-01T05:20:00.12345Z", "name": "gateway.example.com", "status": "active", "target": "ipfs" } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ``` ## Web3 Hostname Details `client.web3.hostnames.get(stringidentifier, HostnameGetParamsparams, RequestOptionsoptions?): Hostname` **get** `/zones/{zone_id}/web3/hostnames/{identifier}` Web3 Hostname Details ### Parameters - `identifier: string` Specify the identifier of the hostname. - `params: HostnameGetParams` - `zone_id: string` Specify the identifier of the hostname. ### Returns - `Hostname` - `id?: string` Specify the identifier of the hostname. - `created_on?: string` - `description?: string` Specify an optional description of the hostname. - `dnslink?: string` Specify the DNSLink value used if the target is ipfs. - `modified_on?: string` - `name?: string` Specify the hostname that points to the target gateway via CNAME. - `status?: "active" | "pending" | "deleting" | "error"` Specifies the status of the hostname's activation. - `"active"` - `"pending"` - `"deleting"` - `"error"` - `target?: "ethereum" | "ipfs" | "ipfs_universal_path"` Specify the target gateway of the hostname. - `"ethereum"` - `"ipfs"` - `"ipfs_universal_path"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const hostname = await client.web3.hostnames.get('023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(hostname.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2014-01-01T05:20:00.12345Z", "description": "This is my IPFS gateway.", "dnslink": "/ipns/onboarding.ipfs.cloudflare.com", "modified_on": "2014-01-01T05:20:00.12345Z", "name": "gateway.example.com", "status": "active", "target": "ipfs" }, "success": true, "result_info": {} } ``` ## Create Web3 Hostname `client.web3.hostnames.create(HostnameCreateParamsparams, RequestOptionsoptions?): Hostname` **post** `/zones/{zone_id}/web3/hostnames` Create Web3 Hostname ### Parameters - `params: HostnameCreateParams` - `zone_id: string` Path param: Specify the identifier of the hostname. - `name: string` Body param: Specify the hostname that points to the target gateway via CNAME. - `target: "ethereum" | "ipfs" | "ipfs_universal_path"` Body param: Specify the target gateway of the hostname. - `"ethereum"` - `"ipfs"` - `"ipfs_universal_path"` - `description?: string` Body param: Specify an optional description of the hostname. - `dnslink?: string` Body param: Specify the DNSLink value used if the target is ipfs. ### Returns - `Hostname` - `id?: string` Specify the identifier of the hostname. - `created_on?: string` - `description?: string` Specify an optional description of the hostname. - `dnslink?: string` Specify the DNSLink value used if the target is ipfs. - `modified_on?: string` - `name?: string` Specify the hostname that points to the target gateway via CNAME. - `status?: "active" | "pending" | "deleting" | "error"` Specifies the status of the hostname's activation. - `"active"` - `"pending"` - `"deleting"` - `"error"` - `target?: "ethereum" | "ipfs" | "ipfs_universal_path"` Specify the target gateway of the hostname. - `"ethereum"` - `"ipfs"` - `"ipfs_universal_path"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const hostname = await client.web3.hostnames.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', name: 'gateway.example.com', target: 'ipfs', }); console.log(hostname.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2014-01-01T05:20:00.12345Z", "description": "This is my IPFS gateway.", "dnslink": "/ipns/onboarding.ipfs.cloudflare.com", "modified_on": "2014-01-01T05:20:00.12345Z", "name": "gateway.example.com", "status": "active", "target": "ipfs" }, "success": true, "result_info": {} } ``` ## Edit Web3 Hostname `client.web3.hostnames.edit(stringidentifier, HostnameEditParamsparams, RequestOptionsoptions?): Hostname` **patch** `/zones/{zone_id}/web3/hostnames/{identifier}` Edit Web3 Hostname ### Parameters - `identifier: string` Specify the identifier of the hostname. - `params: HostnameEditParams` - `zone_id: string` Path param: Specify the identifier of the hostname. - `description?: string` Body param: Specify an optional description of the hostname. - `dnslink?: string` Body param: Specify the DNSLink value used if the target is ipfs. ### Returns - `Hostname` - `id?: string` Specify the identifier of the hostname. - `created_on?: string` - `description?: string` Specify an optional description of the hostname. - `dnslink?: string` Specify the DNSLink value used if the target is ipfs. - `modified_on?: string` - `name?: string` Specify the hostname that points to the target gateway via CNAME. - `status?: "active" | "pending" | "deleting" | "error"` Specifies the status of the hostname's activation. - `"active"` - `"pending"` - `"deleting"` - `"error"` - `target?: "ethereum" | "ipfs" | "ipfs_universal_path"` Specify the target gateway of the hostname. - `"ethereum"` - `"ipfs"` - `"ipfs_universal_path"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const hostname = await client.web3.hostnames.edit('023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(hostname.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2014-01-01T05:20:00.12345Z", "description": "This is my IPFS gateway.", "dnslink": "/ipns/onboarding.ipfs.cloudflare.com", "modified_on": "2014-01-01T05:20:00.12345Z", "name": "gateway.example.com", "status": "active", "target": "ipfs" }, "success": true, "result_info": {} } ``` ## Delete Web3 Hostname `client.web3.hostnames.delete(stringidentifier, HostnameDeleteParamsparams, RequestOptionsoptions?): HostnameDeleteResponse | null` **delete** `/zones/{zone_id}/web3/hostnames/{identifier}` Delete Web3 Hostname ### Parameters - `identifier: string` Specify the identifier of the hostname. - `params: HostnameDeleteParams` - `zone_id: string` Specify the identifier of the hostname. ### Returns - `HostnameDeleteResponse` - `id: string` Specify the identifier of the hostname. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const hostname = await client.web3.hostnames.delete('023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(hostname.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353" }, "success": true } ``` ## Domain Types ### Hostname - `Hostname` - `id?: string` Specify the identifier of the hostname. - `created_on?: string` - `description?: string` Specify an optional description of the hostname. - `dnslink?: string` Specify the DNSLink value used if the target is ipfs. - `modified_on?: string` - `name?: string` Specify the hostname that points to the target gateway via CNAME. - `status?: "active" | "pending" | "deleting" | "error"` Specifies the status of the hostname's activation. - `"active"` - `"pending"` - `"deleting"` - `"error"` - `target?: "ethereum" | "ipfs" | "ipfs_universal_path"` Specify the target gateway of the hostname. - `"ethereum"` - `"ipfs"` - `"ipfs_universal_path"` ### Hostname Delete Response - `HostnameDeleteResponse` - `id: string` Specify the identifier of the hostname. # IPFS Universal Paths # Content Lists ## IPFS Universal Path Gateway Content List Details `client.web3.hostnames.ipfsUniversalPaths.contentLists.get(stringidentifier, ContentListGetParamsparams, RequestOptionsoptions?): ContentList` **get** `/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list` IPFS Universal Path Gateway Content List Details ### Parameters - `identifier: string` Specify the identifier of the hostname. - `params: ContentListGetParams` - `zone_id: string` Specify the identifier of the hostname. ### Returns - `ContentList` - `action?: "block"` Behavior of the content list. - `"block"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const contentList = await client.web3.hostnames.ipfsUniversalPaths.contentLists.get( '023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(contentList.action); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "action": "block" }, "success": true, "result_info": {} } ``` ## Update IPFS Universal Path Gateway Content List `client.web3.hostnames.ipfsUniversalPaths.contentLists.update(stringidentifier, ContentListUpdateParamsparams, RequestOptionsoptions?): ContentList` **put** `/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list` Update IPFS Universal Path Gateway Content List ### Parameters - `identifier: string` Specify the identifier of the hostname. - `params: ContentListUpdateParams` - `zone_id: string` Path param: Specify the identifier of the hostname. - `action: "block"` Body param: Behavior of the content list. - `"block"` - `entries: Array` Body param: Provides content list entries. - `id?: string` Specify the identifier of the hostname. - `content?: string` Specify the CID or content path of content to block. - `created_on?: string` - `description?: string` Specify an optional description of the content list entry. - `modified_on?: string` - `type?: "cid" | "content_path"` Specify the type of content list entry to block. - `"cid"` - `"content_path"` ### Returns - `ContentList` - `action?: "block"` Behavior of the content list. - `"block"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const contentList = await client.web3.hostnames.ipfsUniversalPaths.contentLists.update( '023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', action: 'block', entries: [{}], }, ); console.log(contentList.action); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "action": "block" }, "success": true, "result_info": {} } ``` ## Domain Types ### Content List - `ContentList` - `action?: "block"` Behavior of the content list. - `"block"` # Entries ## List IPFS Universal Path Gateway Content List Entries `client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.list(stringidentifier, EntryListParamsparams, RequestOptionsoptions?): EntryListResponse | null` **get** `/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list/entries` List IPFS Universal Path Gateway Content List Entries ### Parameters - `identifier: string` Specify the identifier of the hostname. - `params: EntryListParams` - `zone_id: string` Specify the identifier of the hostname. ### Returns - `EntryListResponse` - `entries?: Array` Provides content list entries. - `id?: string` Specify the identifier of the hostname. - `content?: string` Specify the CID or content path of content to block. - `created_on?: string` - `description?: string` Specify an optional description of the content list entry. - `modified_on?: string` - `type?: "cid" | "content_path"` Specify the type of content list entry to block. - `"cid"` - `"content_path"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const entries = await client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.list( '023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(entries.entries); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "entries": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "content": "QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB", "created_on": "2014-01-01T05:20:00.12345Z", "description": "this is my content list entry", "modified_on": "2014-01-01T05:20:00.12345Z", "type": "cid" } ] }, "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ``` ## IPFS Universal Path Gateway Content List Entry Details `client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.get(stringidentifier, stringcontentListEntryIdentifier, EntryGetParamsparams, RequestOptionsoptions?): EntryGetResponse` **get** `/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list/entries/{content_list_entry_identifier}` IPFS Universal Path Gateway Content List Entry Details ### Parameters - `identifier: string` Specify the identifier of the hostname. - `contentListEntryIdentifier: string` Specify the identifier of the hostname. - `params: EntryGetParams` - `zone_id: string` Specify the identifier of the hostname. ### Returns - `EntryGetResponse` Specify a content list entry to block. - `id?: string` Specify the identifier of the hostname. - `content?: string` Specify the CID or content path of content to block. - `created_on?: string` - `description?: string` Specify an optional description of the content list entry. - `modified_on?: string` - `type?: "cid" | "content_path"` Specify the type of content list entry to block. - `"cid"` - `"content_path"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const entry = await client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.get( '023e105f4ecef8ad9ca31a8372d0c353', '023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(entry.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "content": "QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB", "created_on": "2014-01-01T05:20:00.12345Z", "description": "this is my content list entry", "modified_on": "2014-01-01T05:20:00.12345Z", "type": "cid" }, "success": true, "result_info": {} } ``` ## Create IPFS Universal Path Gateway Content List Entry `client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.create(stringidentifier, EntryCreateParamsparams, RequestOptionsoptions?): EntryCreateResponse` **post** `/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list/entries` Create IPFS Universal Path Gateway Content List Entry ### Parameters - `identifier: string` Specify the identifier of the hostname. - `params: EntryCreateParams` - `zone_id: string` Path param: Specify the identifier of the hostname. - `content: string` Body param: Specify the CID or content path of content to block. - `type: "cid" | "content_path"` Body param: Specify the type of content list entry to block. - `"cid"` - `"content_path"` - `description?: string` Body param: Specify an optional description of the content list entry. ### Returns - `EntryCreateResponse` Specify a content list entry to block. - `id?: string` Specify the identifier of the hostname. - `content?: string` Specify the CID or content path of content to block. - `created_on?: string` - `description?: string` Specify an optional description of the content list entry. - `modified_on?: string` - `type?: "cid" | "content_path"` Specify the type of content list entry to block. - `"cid"` - `"content_path"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const entry = await client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.create( '023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', content: 'QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB', type: 'cid', }, ); console.log(entry.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "content": "QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB", "created_on": "2014-01-01T05:20:00.12345Z", "description": "this is my content list entry", "modified_on": "2014-01-01T05:20:00.12345Z", "type": "cid" }, "success": true, "result_info": {} } ``` ## Edit IPFS Universal Path Gateway Content List Entry `client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.update(stringidentifier, stringcontentListEntryIdentifier, EntryUpdateParamsparams, RequestOptionsoptions?): EntryUpdateResponse` **put** `/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list/entries/{content_list_entry_identifier}` Edit IPFS Universal Path Gateway Content List Entry ### Parameters - `identifier: string` Specify the identifier of the hostname. - `contentListEntryIdentifier: string` Specify the identifier of the hostname. - `params: EntryUpdateParams` - `zone_id: string` Path param: Specify the identifier of the hostname. - `content: string` Body param: Specify the CID or content path of content to block. - `type: "cid" | "content_path"` Body param: Specify the type of content list entry to block. - `"cid"` - `"content_path"` - `description?: string` Body param: Specify an optional description of the content list entry. ### Returns - `EntryUpdateResponse` Specify a content list entry to block. - `id?: string` Specify the identifier of the hostname. - `content?: string` Specify the CID or content path of content to block. - `created_on?: string` - `description?: string` Specify an optional description of the content list entry. - `modified_on?: string` - `type?: "cid" | "content_path"` Specify the type of content list entry to block. - `"cid"` - `"content_path"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const entry = await client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.update( '023e105f4ecef8ad9ca31a8372d0c353', '023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', content: 'QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB', type: 'cid', }, ); console.log(entry.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353", "content": "QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB", "created_on": "2014-01-01T05:20:00.12345Z", "description": "this is my content list entry", "modified_on": "2014-01-01T05:20:00.12345Z", "type": "cid" }, "success": true, "result_info": {} } ``` ## Delete IPFS Universal Path Gateway Content List Entry `client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.delete(stringidentifier, stringcontentListEntryIdentifier, EntryDeleteParamsparams, RequestOptionsoptions?): EntryDeleteResponse | null` **delete** `/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list/entries/{content_list_entry_identifier}` Delete IPFS Universal Path Gateway Content List Entry ### Parameters - `identifier: string` Specify the identifier of the hostname. - `contentListEntryIdentifier: string` Specify the identifier of the hostname. - `params: EntryDeleteParams` - `zone_id: string` Specify the identifier of the hostname. ### Returns - `EntryDeleteResponse` - `id: string` Specify the identifier of the hostname. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const entry = await client.web3.hostnames.ipfsUniversalPaths.contentLists.entries.delete( '023e105f4ecef8ad9ca31a8372d0c353', '023e105f4ecef8ad9ca31a8372d0c353', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(entry.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "023e105f4ecef8ad9ca31a8372d0c353" }, "success": true } ``` ## Domain Types ### Entry List Response - `EntryListResponse` - `entries?: Array` Provides content list entries. - `id?: string` Specify the identifier of the hostname. - `content?: string` Specify the CID or content path of content to block. - `created_on?: string` - `description?: string` Specify an optional description of the content list entry. - `modified_on?: string` - `type?: "cid" | "content_path"` Specify the type of content list entry to block. - `"cid"` - `"content_path"` ### Entry Get Response - `EntryGetResponse` Specify a content list entry to block. - `id?: string` Specify the identifier of the hostname. - `content?: string` Specify the CID or content path of content to block. - `created_on?: string` - `description?: string` Specify an optional description of the content list entry. - `modified_on?: string` - `type?: "cid" | "content_path"` Specify the type of content list entry to block. - `"cid"` - `"content_path"` ### Entry Create Response - `EntryCreateResponse` Specify a content list entry to block. - `id?: string` Specify the identifier of the hostname. - `content?: string` Specify the CID or content path of content to block. - `created_on?: string` - `description?: string` Specify an optional description of the content list entry. - `modified_on?: string` - `type?: "cid" | "content_path"` Specify the type of content list entry to block. - `"cid"` - `"content_path"` ### Entry Update Response - `EntryUpdateResponse` Specify a content list entry to block. - `id?: string` Specify the identifier of the hostname. - `content?: string` Specify the CID or content path of content to block. - `created_on?: string` - `description?: string` Specify an optional description of the content list entry. - `modified_on?: string` - `type?: "cid" | "content_path"` Specify the type of content list entry to block. - `"cid"` - `"content_path"` ### Entry Delete Response - `EntryDeleteResponse` - `id: string` Specify the identifier of the hostname.